Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namagrif
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namagrif	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namagrif	(revision 2282)
@@ -1,8 +1,8 @@
 !-----------------------------------------------------------------------
-&namagrif      !                                                        ("key_agrif")
+&namagrif      !  AGRIF zoom                                            ("key_agrif")
 !-----------------------------------------------------------------------
-    nbclineupdate = 3      !  baroclinic update frequency
+    nn_cln_update = 3      !  baroclinic update frequency
     ln_spc_dyn    = .true. !  use 0 as special value for dynamics
-    visc_tra      = 2880.  !  viscosity coeeficient for tracers sponge layer
-    visc_dyn      = 2880.  !  viscosity coeeficient for dynamics sponge layer
+    rn_sponge_tra = 2880.  !  coefficient for tracer   sponge layer [s]
+    rn_sponge_dyn = 2880.  !  coefficient for dynamics sponge layer [s]
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambbc
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambbc	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambbc	(revision 2282)
@@ -2,7 +2,7 @@
 &nambbc        !   bottom temperature boundary condition
 !-----------------------------------------------------------------------
-   ngeo_flux   =    2      !  geothermal heat flux = 0 no flux considered 
-                           !                       = 1 constant flux
-                           !                       = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
-   ngeo_flux_const = 86.4e-3  !  Constant value of geothermal heat flux [W/m2]
+   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux 
+                           !     = 1 constant flux
+                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+   rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux [W/m2]
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambbl
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambbl	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambbl	(revision 2282)
@@ -2,6 +2,7 @@
 &nambbl        !   bottom boundary layer scheme
 !-----------------------------------------------------------------------
-!                          !  diffusive bbl                             ("key_trabbl")
-!                          !  advective bbl                             ("key_trabbl_adv")
-   atrbbl      =  10000.   !  lateral mixing coefficient in the bbl  [m2/s]
-/
+   nn_bbl_ldf  =  1      !  diffusive bbl (=1)   or not (=0)
+   nn_bbl_adv  =  0      !  advective bbl (=1/2) or not (=0)
+   rn_ahtbbl   =  1000.  !  lateral mixing coefficient in the bbl  [m2/s]
+   rn_gambbl   =  10.    !  advective bbl coefficient                 [s]
+   /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambdy
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambdy	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambdy	(revision 2282)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries parameters               ("key_bdy")
+&nambdy        !  unstructured open boundaries                          ("key_bdy")
 !-----------------------------------------------------------------------
     filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
@@ -6,4 +6,7 @@
     filbdy_data_U  = 'bdydata_grid_U.nc'  !  name of data file (U-points)
     filbdy_data_V  = 'bdydata_grid_V.nc'  !  name of data file (V-points)
+    filbdy_data_bt_T  = 'bdydata_bt_grid_T.nc'  !  name of data file for Flather condition (T-points)
+    filbdy_data_bt_U  = 'bdydata_bt_grid_U.nc'  !  name of data file for Flather condition (U-points)
+    filbdy_data_bt_V  = 'bdydata_bt_grid_V.nc'  !  name of data file for Flather condition (V-points)
     ln_bdy_clim    = .false.              !  contain 1 (T) or 12 (F) time dumps and be cyclic
     ln_bdy_vol     = .true.               !  total volume correction (see volbdy parameter)
@@ -19,2 +22,3 @@
                                           !  = 1, the total volume of the system is conserved
 /
+
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambdy_tide
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambdy_tide	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambdy_tide	(revision 2282)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&nambdy_tide     ! tidal forcing at unstructured boundaries              
+!-----------------------------------------------------------------------
+    filtide      = 'bdytide_'           !  file name root of tidal forcing files
+    tide_cpt     = 'M2','S1'            !  names of tidal components used
+    tide_speed   = 28.984106, 15.000001 !  phase speeds of tidal components (deg/hour)
+    ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambfr
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambfr	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nambfr	(revision 2282)
@@ -2,8 +2,10 @@
 &nambfr        !   bottom friction
 !-----------------------------------------------------------------------
-   nbotfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
+   nn_bfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
                            !                              = 3 : free slip,  = 1 :    linear friction
-   bfri1       =    4.e-4  !  bottom drag coefficient (linear case)
-   bfri2       =    1.e-3  !  bottom drag coefficient (non linear case)
-   bfeb2       =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
+   rn_bfri1    =    4.e-4  !  bottom drag coefficient (linear case)
+   rn_bfri2    =    1.e-3  !  bottom drag coefficient (non linear case)
+   rn_bfeb2    =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
+   ln_bfr2d    =   .false. !  horizontal variation of the bottom friction coef (read a 2D mask file )
+   rn_bfrien   =    50.    !  local multiplying factor of bfr (ln_bfr2d = .true.)
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namcla
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namcla	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namcla	(revision 2282)
@@ -2,4 +2,4 @@
 &namcla        !   cross land advection
 !-----------------------------------------------------------------------
-   n_cla       =    1      !  advection between 2 ocean pts separates by land
+   nn_cla      =    0      !  advection between 2 ocean pts separates by land
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namctl
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namctl	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namctl	(revision 2282)
@@ -1,16 +1,16 @@
 !-----------------------------------------------------------------------
-&namctl       !   Control prints & Benchmark
+&namctl        !   Control prints & Benchmark
 !-----------------------------------------------------------------------
-   ln_ctl     = .false.    !  trends control print (expensive!)
-   nprint     =    0       !  level of print (0 no extra print)
-   nictls     =    0       !  start i indice of control sum (use to compare mono versus
-   nictle     =    0       !  end   i indice of control sum        multi processor runs
-   njctls     =    0       !  start j indice of control               over a subdomain)
-   njctle     =    0       !  end   j indice of control 
-   isplt      =    1       !  number of processors in i-direction
-   jsplt      =    1       !  number of processors in j-direction
-   nbench     =    0       !  Bench mode (1/0): CAUTION use zero except for bench
+   nn_print    =    0      !  level of print (0 no extra print)
+   nn_bench    =    0      !  Bench mode (1/0): CAUTION use zero except for bench
                            !     (no physical validity of the results)
-   nbit_cmp   =    0       !  bit comparison mode (1/0): CAUTION use zero except for test
+   nn_bit_cmp  =    0      !  bit comparison mode (1/0): CAUTION use zero except for test
                            !     of comparison between single and multiple processor runs
+   ln_ctl      = .false.   !  trends control print (expensive!)
+   nn_ictls    =    0           !  start i indice of control sum (use to compare mono versus
+   nn_ictle    =    0           !  end   i indice of control sum        multi processor runs
+   nn_jctls    =    0           !  start j indice of control               over a subdomain)
+   nn_jctle    =    0           !  end   j indice of control
+   nn_isplt    =    1           !  number of processors in i-direction
+   nn_jsplt    =    1           !  number of processors in j-direction
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdom
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdom	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdom	(revision 2282)
@@ -2,17 +2,17 @@
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   ntopo       =    1      !  compute (=0) or read(=1) the bathymetry file
-   e3zps_min   =    5.     !  the thickness of the partial step is set larger than the minimum
-   e3zps_rat   =    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
-   nmsh        =    0      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
-   nacc        =    0      !  =1 acceleration of convergence method used, rdt < rdttra(k)
-                           !  =0, no acceleration, rdt = rdttra
-   atfp        =    0.1    !  asselin time filter parameter
-   rdt         = 5760.     !  time step for the dynamics (and tracer if nacc=0)
-   rdtmin      = 5760.     !  minimum time step on tracers (used if nacc=1)
-   rdtmax      = 5760.     !  maximum time step on tracers (used if nacc=1)
-   rdth        =  800.     !  depth variation of tracer time step  (used if nacc=1)
-   rdtbt       =   90.     !  barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
-   nclosea     =    0      !  = 0 no closed sea in the model domain
-                           !  = 1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
+   nn_bathy    =    1      !  compute (=0) or read(=1) the bathymetry file
+   nn_closea   =    0      !  closed seas and lakes are removed (=0) or kept (=1) from the ORCA domain
+   nn_msh      =    0      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
+   rn_e3zps_min=   20.     !  the thickness of the partial step is set larger than the minimum
+   rn_e3zps_rat=    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
+                           !
+   rn_rdt      = 5760.     !  time step for the dynamics (and tracer if nacc=0)   ==> 5760
+   nn_baro     =   64      !  number of barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
+   rn_atfp     =    0.1    !  asselin time filter parameter
+   nn_acc      =    0      !  acceleration of convergence : =1      used, rdt < rdttra(k)
+                                 !                          =0, not used, rdt = rdttra
+   rn_rdtmin   = 28800.          !  minimum time step on tracers (used if nacc=1)
+   rn_rdtmax   = 28800.          !  maximum time step on tracers (used if nacc=1)
+   rn_rdth     =  800.           !  depth variation of tracer time step  (used if nacc=1)
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_adv
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_adv	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_adv	(revision 2282)
@@ -0,0 +1,7 @@
+!-----------------------------------------------------------------------
+&namdyn_adv    !   formulation of the momentum advection
+!-----------------------------------------------------------------------
+   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)  
+   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
+   ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme 
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_hpg
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_hpg	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_hpg	(revision 2282)
@@ -0,0 +1,15 @@
+!-----------------------------------------------------------------------
+&namdyn_hpg    !   Hydrostatic pressure gradient option
+!-----------------------------------------------------------------------
+   ln_hpg_zco  = .false.   !  z-coordinate - full steps                   
+   ln_hpg_zps  = .true.    !  z-coordinate - partial steps (interpolation)
+   ln_hpg_sco  = .false.   !  s-coordinate (standard jacobian formulation)
+   ln_hpg_hel  = .false.   !  s-coordinate (helsinki modification)
+   ln_hpg_wdj  = .false.   !  s-coordinate (weighted density jacobian)
+   ln_hpg_djc  = .false.   !  s-coordinate (Density Jacobian with Cubic polynomial)
+   ln_hpg_rot  = .false.   !  s-coordinate (ROTated axes scheme)
+   rn_gamma    = 0.e0      !  weighting coefficient (wdj scheme)
+   ln_dynhpg_imp = .false. !  time stepping: semi-implicit time scheme  (T)
+                                 !           centered      time scheme  (F)
+   nn_dynhpg_rst =  0            ! =1 dynhpg restartable restart or not (=0)
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_ldf
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_ldf	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_ldf	(revision 2282)
@@ -0,0 +1,15 @@
+!-----------------------------------------------------------------------
+&namdyn_ldf    !   lateral diffusion on momentum
+!-----------------------------------------------------------------------
+                           !  Type of the operator : 
+   ln_dynldf_lap    =  .true.   !  laplacian operator         
+   ln_dynldf_bilap  =  .false.  !  bilaplacian operator    
+                           !  Direction of action  : 
+   ln_dynldf_level  =  .false.  !  iso-level               
+   ln_dynldf_hor    =  .true.   !  horizontal (geopotential)            (require "key_ldfslp" in s-coord.)
+   ln_dynldf_iso    =  .false.  !  iso-neutral                          (require "key_ldfslp")
+                           !  Coefficient
+   rn_ahm_0         =    40.e3  !  horizontal eddy viscosity   [m2/s]
+   rn_ahmb_0        =     0.    !  background eddy viscosity for ldf_iso [m2/s]
+   rn_ahm_0_blp     =     0.    !  horizontal bilaplacian eddy viscosity [m4/s] 
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_spg
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_spg	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_spg	(revision 2282)
@@ -0,0 +1,6 @@
+!-----------------------------------------------------------------------
+!namdyn_spg    !   surface pressure gradient   (CPP key only)
+!-----------------------------------------------------------------------
+!                          !  explicit free surface                     ("key_dynspg_exp")
+!                          !  filtered free surface                     ("key_dynspg_flt")
+!                          !  split-explicit free surface               ("key_dynspg_ts")
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_vor
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_vor	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namdyn_vor	(revision 2282)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
+!-----------------------------------------------------------------------
+   ln_dynvor_ene = .false. !  enstrophy conserving scheme
+   ln_dynvor_ens = .false. !  energy conserving scheme 
+   ln_dynvor_mix = .false. !  mixed scheme   
+   ln_dynvor_een = .true.  !  energy & enstrophy scheme
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nameos
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nameos	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nameos	(revision 2282)
@@ -2,9 +2,9 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   neos        =    0      !  type of equation of state and Brunt-Vaisala frequency
+   nn_eos      =    0      !  type of equation of state and Brunt-Vaisala frequency
                            !     = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
                            !     = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
                            !     = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
-   ralpha      =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
-   rbeta       =    0.001  !  saline  expension coefficient (neos= 2)
+   rn_alpha    =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
+   rn_beta     =    0.001  !  saline  expension coefficient (neos= 2)
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namflo
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namflo	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namflo	(revision 2282)
@@ -3,6 +3,6 @@
 !-----------------------------------------------------------------------
     ln_rstflo = .false.    !  float restart (T) or not (F)
-    nwritefl  =      75    !  frequency of writing in float output file 
-    nstockfl  =    5475    !  frequency of creation of the float restart file 
+    nn_writefl=      75    !  frequency of writing in float output file 
+    nn_stockfl=    5475    !  frequency of creation of the float restart file 
     ln_argo   = .false.    !  Argo type floats (stay at the surface each 10 days)
     ln_flork4 = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namgap
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namgap	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namgap	(revision 2282)
@@ -2,5 +2,5 @@
 &namgap       !   level mean model-data gap                             ('key_diagap')
 !-----------------------------------------------------------------------
-   ngap       =  15        !  time-step frequency of model-data gap computation
-   nprg       =  10        !  time-step frequency of gap print in model output
+   nn_gap     =  15        !  time-step frequency of model-data gap computation
+   nn_prg     =  10        !  time-step frequency of gap print in model output
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namgls
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namgls	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namgls	(revision 2282)
@@ -0,0 +1,18 @@
+!-----------------------------------------------------------------------
+&namzdf_gls                !   GLS vertical diffusion                   ("key_zdfgls")
+!-----------------------------------------------------------------------
+   rn_emin     =   1.e-6   !  minimum value of e   [m2/s2]
+   rn_epsmin   =   1.e-12  !  minimum value of eps [m2/s3]
+   ln_length_lim = .true.  !  limit on the dissipation rate under stable stratification (Galperin et al., 1988)
+   clim_galp   =   0.53    !  galperin limit
+   ln_crban = .TRUE.       !  Use Craig & Banner (1994) surface wave mixing parametrisation
+   ln_sigpsi = .TRUE.      !  Activate or not Burchard 2001 mods on psi schmidt number in the wb case
+   rn_crban = 100.         !  Craig and Banner 1994 constant for wb tke flux
+   rn_charn =  70000.      !  Charnock constant for wb induced roughness length
+   nn_tkebc_surf  =   1    !  surface tke condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_tkebc_bot   =   1    !  bottom tke condition (0/1=Dir/Neum)
+   nn_psibc_surf  =   1    !  surface psi condition (0/1/2=Dir/Neum/Dir Mellor-Blumberg)
+   nn_psibc_bot   =   1    !  bottom psi condition (0/1=Dir/Neum)
+   nn_stab_func   =   2    !  stability function (0=Galp, 1= KC94, 2=CanutoA, 3=CanutoB)
+   nn_clos        =   1    !  predefined closure type (0=MY82, 1=k-eps, 2=k-w, 3=Gen)
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nammpp
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nammpp	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nammpp	(revision 2282)
@@ -0,0 +1,7 @@
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   cn_mpi_send =  'S'      !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
+                           !  buffer blocking send or immediate non-blocking sends, resp.
+   nn_buffer   =   0       !  size in bytes of exported buffer ('B' case), 0 no exportation
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nammpp_dyndist
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nammpp_dyndist	(revision 2282)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/nammpp_dyndist	(revision 2282)
@@ -0,0 +1,7 @@
+!-----------------------------------------------------------------------
+&nammpp_dyndist !   Massively Parallel Distribution for AGRIF zoom      ("key_agrif" && "key_mpp_dyndist")
+!-----------------------------------------------------------------------
+   jpni        =    1      !  jpni   number of processors following i
+   jpnj        =    1      !  jpnj   number of processors following j
+   jpnij       =    1      !  jpnij  number of local domains
+/
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namobc
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namobc	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namobc	(revision 2282)
@@ -2,20 +2,20 @@
 &namobc        !   open boundaries parameters                           ("key_obc")
 !-----------------------------------------------------------------------
-    nobc_dta   =    1      !  = 0 the obc data are equal to the initial state
-                           !  = 1 the obc data are read in 'obc.dta' files
-    cffile     = 'annual'  !  set to annual if obc datafile hold 1 year of data
-                           !  set to monthly if obc datafile hold 1 month of data
-    rdpein     =    1.     !  ???
-    rdpwin     =    1.     !  ???
-    rdpnin     =    1.     !  ???
-    rdpsin     =    1.     !  ???
-    rdpeob     = 3000.     !  time relaxation (days) for the east  open boundary
-    rdpwob     =   15.     !    "        "             "     west         "
-    rdpnob     = 3000.     !    "        "             "     north        "
-    rdpsob     =   15.     !    "        "             "     south        "
-    zbsic1     =  140.e+6  !   barotropic stream function on first  isolated coastline
-    zbsic2     =    1.e+6  !    "                   "        second       "
-    zbsic3     =    0.     !    "                   "        thrid        "
     ln_obc_clim= .false.   !  climatological obc data files (T) or not (F)
     ln_vol_cst = .true.    !  impose the total volume conservation (T) or not (F)
+    ln_obc_fla = .false.   !  Flather open boundary condition 
+    nn_obcdta  =    1      !  = 0 the obc data are equal to the initial state
+                           !  = 1 the obc data are read in 'obc.dta' files
+    cn_obcdta  = 'annual'  !  set to annual if obc datafile hold 1 year of data
+                           !  set to monthly if obc datafile hold 1 month of data
+    rn_dpein   =    1.     !  damping time scale for inflow at east  open boundary
+    rn_dpwin   =    1.     !     -           -         -       west    -      -
+    rn_dpnin   =    1.     !     -           -         -       north   -      -
+    rn_dpsin   =    1.     !     -           -         -       south   -      -
+    rn_dpeob   = 3000.     !  time relaxation (days) for the east  open boundary
+    rn_dpwob   =   15.     !     -           -         -     west    -      -
+    rn_dpnob   = 3000.     !     -           -         -     north   -      -
+    rn_dpsob   =   15.     !     -           -         -     south   -      -
+    rn_volemp  =  1.       !  = 0 the total volume change with the surface flux (E-P-R)
+                           !  = 1 the total volume remains constant
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namptr
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namptr	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namptr	(revision 2282)
@@ -3,6 +3,8 @@
 !-----------------------------------------------------------------------
    ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
+   ln_diaznl  = .false.    !  Add zonal means and meridional stream functions
    ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
-   nf_ptr     =  15        !  Frequency of ptr computation [time step]
+   nf_ptr     =  1         !  Frequency of ptr computation [time step]
+   nf_ptr_wri =  15        !  Frequency of ptr outputs
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namrun
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namrun	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namrun	(revision 2282)
@@ -2,17 +2,22 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   no          =       0   !  job number
-   cexper      =  "ORCA2"  !  experience name 
+   nn_no       =       0   !  job number
+   cn_exp      =  "ORCA2"  !  experience name 
+   nn_it000    =       1   !  first time step
+   nn_itend    =     315   !  last  time step (std 5475)
+   nn_date0    =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
+   nn_leapy    =       0   !  Leap year calendar (1) or not (0)
+   nn_istate   =       0   !  output the initial state (1) or not (0)
+   nn_stock    =    5475   !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_write    =    5475   !  frequency of write in the output file   (modulo referenced to nit000)
+   ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
+   ln_mskland  = .false.   !  mask land points in NetCDF outputs (costly: + ~15%)
+   ln_clobber  = .false.   !  clobber (overwrite) an existing file
+   nn_chunksz  =       0   !  chunksize (bytes) for NetCDF file (working only with iom_nf90 routines)
    ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
-   nrstdt      =       0   !  restart control = 0 nit000 is not compared to the restart file value
-                           !                  = 1 use ndate0 in namelist (not the value in the restart file)
-                           !                  = 2 calendar parameters read in the restart file
-   nit000      =       1   !  first time step
-   nitend      =    5475   !  last  time step
-   ndate0      =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
-   nleapy      =       0   !  Leap year calendar (1) or not (0)
-   ninist      =       0   !  output the initial state (1) or not (0)
-   nstock      =    5475   !  frequency of creation of a restart file
-   nwrite      =    5475   !  frequency of write in the output file 
-   ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
+   nn_rstctl   =       0       !  restart control = 0 nit000 is not compared to the restart file value
+                               !                  = 1 use ndate0 in namelist (not the value in the restart file)
+                               !                  = 2 calendar parameters read in the restart file
+   cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
+   cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
 /
Index: /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc
===================================================================
--- /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc	(revision 2281)
+++ /branches/nemo_v3_3_beta/DOC/TexFiles/Namelist/namsbc	(revision 2282)
@@ -13,11 +13,12 @@
                            !  =2 ice-model used                             ("key_lim3" or "key_lim2)
    nn_ico_cpl  = 0         !  ice-ocean coupling : =0 each nn_fsbc 
-                           !                       =1 stress recomputed each ocean time step ("key_lim3")
-                           !                       =2 combination of 0 and 1 cases           ("key_lim3")
+                           !                       =1 stresses recomputed each ocean time step ("key_lim3" only)
+                           !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
    ln_rnf      = .true.    !  runoffs (T => fill namsbc_rnf)
    ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
-   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
-                           !                     =1 global mean of e-p-r set to zero at each nn_fsbc time step   ,
+   nn_fwb      = 3         !  FreshWater Budget: =0 unchecked 
+                           !                     =1 global mean of e-p-r set to zero at each time step 
                            !                     =2 annual global mean of e-p-r set to zero
+                           !                     =3 global emp set to zero and spread out over erp area
 /
